Subject: [Nethistory] Updates

From: Marc Weber <[email-masked]>
Date: Wed, 8 May 2013 17:35:11 -0700

Dear All,

I'm writing to update you on networking history developments around the IETF, and to events around the Networking History BoF, The Networking History BoF we held at the Orlando IETF in March drew nearly 200 people when we expected about 75; thanks to all of you for your interest, and to then-IETF Chair Russ Housley for giving us the generous 90 minute time slot. 

BoF instigator Elizabeth Feinler and I presented the basic problem: Critical records of the development of the online world are not being systematically preserved. We then described the key goals of the Networking History list, which include creating directories to help match at-risk net historical materials around the world with the permanent archives that may preserve them. Some of those materials could be moldering in your basement or garage. Dave Crocker then led a brainstorm on ways of accomplishing the goals above. 

I also discussed ways of helping institutions that generate critical materials capture more of them as they are produced, rather than years after the fact. The IETF is actually a good starting example of this; RFCs and several other key records are archived in real time. But even within the IETF much remains to be done. 

You can find the charter and the slides we presented at: http://www.ietf.org/proceedings/86/history.html. The Agenda is here. I'll be writing an article on the meeting and its goals  for the IETF journal this summer. 

Since the BoF we've continued our collaboration with Brad Fidler at UCLA, who has brought in two very talented interns to work on ways of bringing together historical materials with the archives that could save them. Jacob Ferrari is currently investigating tools for collecting information on both repositories and at-risk materials, and Federico Novak is exploring ways this might apply in South America as a starting point. 

Jacob put some of our preliminary thoughts about which data to collect on archiving institutions into a draft spreadsheet here: https://docs.google.com/spreadsheet/ccc?key=0ArgbD8tia0KcdF9vTjlLcHl5Z25JajB1dFJlb3RaOXc&usp=sharing

Please invite anybody you think would be interested to join this Networking History mailing list at https://www.ietf.org/mailman/listinfo/nethistory. 

One of the networking history efforts we invited to present at the end of the BoF was the Asia Internet History project. This group has already done some of the preliminary planning for how to set up networking history point people in each major country or region, to address its particular history. BoF instigator Elizabeth Feinler has written up a draft proposal for how we might apply this to our goals of matching materials with repositories, which she'll send separately. We'll appreciate your comments and suggestions. 

Best regards,

Marc Weber 
Networking History BoF Chair
Internet History Program Founder and Curator, Computer History Museum

Marc Weber  |   [email-masked]  |   +1 415 282 6868 
Internet History Program Founder and Curator, Computer History Museum            
1401 N Shoreline Blvd., Mountain View CA 94043 computerhistory.org/nethistory
Co-founder, Web History Center and Project, webhistory.org